#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/extensions/scrnsaver.h> 

int main (int argc, char **argv) {

  Display *Dpy = XOpenDisplay(":0");
  if (Dpy) {

    XScreenSaverInfo *mitInfo = XScreenSaverAllocInfo();
    XScreenSaverQueryInfo(Dpy, DefaultRootWindow(Dpy), mitInfo);
    printf("%.2f\n", mitInfo->idle/1000.f);
    XFree(mitInfo);
    XCloseDisplay(Dpy);
  }
}

